mkdir -p $CI_PROJECT_DIR/build_dir
cd  $CI_PROJECT_DIR/build_dir

tar Jxf $CI_PROJECT_DIR/tmp/$SDK_FILE --strip=1

cat > feeds.conf <<EOF
src-git base https://git.openwrt.org/openwrt/openwrt.git;$SDK_BRANCH
src-git packages https://git.openwrt.org/feed/packages.git;$SDK_BRANCH
src-git luci https://git.openwrt.org/project/luci.git;$SDK_BRANCH
src-git routing https://git.openwrt.org/feed/routing.git;$SDK_BRANCH
src-git telephony https://git.openwrt.org/feed/telephony.git;$SDK_BRANCH
src-git gluon https://github.com/freifunk-gluon/packages.git

src-link $CI_PROJECT_NAME $CI_PROJECT_DIR
EOF

cat feeds.conf
./scripts/feeds update -a > /dev/null
./scripts/feeds install -a > /dev/null

make defconfig > /dev/null
sed -i 's/# CONFIG_BUILD_LOG is not set/CONFIG_BUILD_LOG=y/' .config
